After installation, Edubuntu complains about incomplete language support

Bug #456477 reported by Jeremy Bicha on 2009-10-20
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
edubuntu-meta (Ubuntu)
Medium
Unassigned

Bug Description

A few minutes after logging in to the desktop after installation has completed, a popup will appear complaining about "incomplete language support." (This is from the en-US text-based installer; I will verify with the graphical installer.)

"Incomplete Language Support

The language support files for your selected language seem to be incomplete. You can install the missing components by clicking on "Run this action now" and follow the instructions. An active internet connection is required. If you would like to do this at a later time, please use "System -> Administration -> Language Support" instead."

Selecting "run this action now" brings up the Language window

"The language support is not installed completely

Some translations or writing aids available for your chosen languages are not installed yet. Do you want to install them now?"

openoffice.org-l10n-ru
kde-l10n-ru
language-pack-kde-ru
openoffice.org-help-ru
evolution-documentation-ru
gnome-user-guide-ru
gimp-help-ru
gnome-user-guide-sv
openoffice.org-l10n-sv
kde-l10n-sv
openoffice.org-help-sv
gimp-help-sv
language-pack-kde-sv
evolution-documentation-sv
language-pack-kde-so
gnome-user-guide-tr
openoffice.org-l10n-tr
kde-l10n-tr
language-pack-kde-tr
openoffice.org-l10n-cs
gnome-user-guide-cs
kde-l10n-cs
openoffice.org-help-cs
language-pack-kde-cs
evolution-documentation-cs
language-pack-kde-de
openoffice.org-help-de
openoffice.org-l10n-de
gimp-help-de
kde-l10n-de
evolution-documentation-de
gnome-user-guide-de
language-pack-kde-da
openoffice.org-help-da
openoffice.org-l10n-da
kde-l10n-da
gnome-user-guide-da
kde-l10n-eu
openoffice.org-help-eu
gnome-user-guide-eu
openoffice.org-l10n-eu
language-pack-kde-eu
kde-l10n-es
evolution-documentation-es
gimp-help-es
openoffice.org-help-es
gnome-user-guide-es
openoffice.org-l10n-es
language-pack-kde-es
evolution-documentation-fr
gnome-user-guide-fr
gimp-help-fr
openoffice.org-l10n-fr
kde-l10n-fr
language-pack-kde-fr
openoffice.org-help-fr
gnome-user-guide-fi
openoffice.org-l10n-fi
kde-l10n-fi
language-pack-kde-fi
openoffice.org-help-fi
gnome-user-guide-hu
kde-l10n-hu
openoffice.org-help-hu
language-pack-kde-hu
openoffice.org-l10n-hu
openoffice.org-l10n-it
gnome-user-guide-it
language-pack-kde-it
kde-l10n-it
gimp-help-it
openoffice.org-help-it
kde-l10n-mr
openoffice.org-l10n-mr-in
language-pack-kde-mr
gnome-user-guide-nl
gimp-help-nl
kde-l10n-nl
language-pack-kde-nl
openoffice.org-help-nl
openoffice.org-l10n-nl
openoffice.org-l10n-pt-br
openoffice.org-help-pt-br
gnome-user-guide-pt
kde-l10n-ptbr
kde-l10n-pt
language-pack-kde-pt
openoffice.org-help-pt
openoffice.org-l10n-pt

Suggested solution: The easiest solution is probably just to add these to the DVD also. An alternative is to fix the wishlist bug #217097 where ubuntu-edu-preschool and ubuntu-edu-primary are requested not to depend on 18 different gcompris language packs.

ProblemType: Bug
Architecture: i386
Date: Tue Oct 20 19:48:27 2009
DistroRelease: Ubuntu 9.10
Package: edubuntu-desktop 1.71
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: edubuntu-meta
Uname: Linux 2.6.31-14-generic i686
XsessionErrors:
 (gnome-settings-daemon:1453): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1453): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1523): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1511): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (gnome-panel:1510): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -3 and height 24

Jeremy Bicha (jbicha) wrote :
Jeremy Bicha (jbicha) wrote :

confirmed on live installer also

Changed in edubuntu-meta (Ubuntu):
importance: Undecided → Low
LaserJock (laserjock) wrote :

This should be fixed for Karmic

Changed in edubuntu-meta (Ubuntu):
importance: Low → Medium
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package edubuntu-meta - 1.72

---------------
edubuntu-meta (1.72) karmic; urgency=low

  * Refreshed dependencies (Closes LP: #456477)
  * Removed gcompris-sound-cs from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-da from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-de from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-es from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-eu from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-fi from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-fr from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-hu from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-it from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-mr from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-nl from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-pt from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-ptbr from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-ru from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-so from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-sv from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends
  * Removed gcompris-sound-tr from ubuntu-edu-preschool-recommends,
    ubuntu-edu-primary-recommends

 -- Jordan Mantha <email address hidden> Fri, 23 Oct 2009 09:47:26 -0400

Changed in edubuntu-meta (Ubuntu):
status: In Progress → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers